Get
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/asset-groups/{assetGroupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/asset-groups/{assetGroupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/asset-groups/{assetGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tenantId": "2422764d-dc5a-44eb-a0da-576baa2cfc22",
"organizationId": "a4d83a9b-906f-4dc8-883b-fb43b7c1beb6",
"assetGroupId": "3e508e7a-65b8-4787-9c7e-2b42c2b45565",
"riskScore": null,
"createdAt": "2025-01-07T13:37:23.388Z",
"name": "Asset group name",
"rules": [
[
{
"type": "resourceType",
"value": [
"<string>"
]
}
]
],
"totalAssets": 7,
"updatedAt": "2025-01-07T13:37:46.308Z",
"status": "completed"
}{
"errors": {
"message": "<string>"
}
}Get specific asset group in a tenant
Retrieve a specific asset group by its ID within a tenant. This endpoint allows you to get detailed information about a particular asset group.
GET
/
v1
/
tenant
/
asset-groups
/
{assetGroupId}
Get
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
application/json
Path Parameters
Response
Success
Example:
"2422764d-dc5a-44eb-a0da-576baa2cfc22"
Example:
"a4d83a9b-906f-4dc8-883b-fb43b7c1beb6"
Example:
"3e508e7a-65b8-4787-9c7e-2b42c2b45565"
Example:
null
Example:
"2025-01-07T13:37:23.388Z"
Example:
"Asset group name"
Show child attributes
Show child attributes
Example:
7
Example:
"2025-01-07T13:37:46.308Z"
Available options:
completed, syncInProgress Example:
"completed"
Was this page helpful?